(* the character code for '0' *)
let zero = int_of_char '0';;

(* typically, zero + d is the character code for the digit d *)
let digit_to_char d = char_of_int (zero + d);;

let rec to_strng n base =
  let last_digit = n mod base in
  let other_digits = n / base in
  (if other_digits = 0 then [] else to_strng other_digits base) @ [digit_to_char last_digit];;
